-- $Date: 2003/12/26 05:54:15 $
-- $Revision: 1.9 $
-- $Author: jcrocholl $

with Glyphs; use Glyphs;

package Fonts is

   -- Raised if the specified font is not available.
   Family_Not_Found : exception;

   -- Raised if the specified font is not available.
   Font_Not_Found : exception;

   -- Raised if the specified font is not available.
   Glyph_Not_Found : exception;

   -- Load a font glyph that was compiled in or installed in the font
   -- path. Raises Font_Not_Found if the font is not available.
   function Load_Glyph
     (Family     : in String; -- Family of the font.
      Font_Name  : in String; -- Name of the font.
      Glyph_Name : in String) -- Name of the glyph.
     return Glyph;            -- The newly created glyph.

end Fonts;
