-- $Date: 2003/12/31 04:59:16 $
-- $Revision: 1.3 $
-- $Author: jcrocholl $

with Real_Numbers; use Real_Numbers;

package Intersections is

   -- Simple temporary storage for an intersection of a glyph's
   -- outline with the rendering row.
   type Intersection is record
      X              : Real;    -- Point of intersection in pixels.
      White_To_Black : Boolean; -- Left to right color change.
   end record;

   -- Format an intersection as a string. For debugging heaps of
   -- intersections.
   function To_String
     (Item : in Intersection) -- Format this intersection.
     return String;           -- The debugging info.

   -- Compare two intersections by their X value.
   function "<"
     (A, B : in Intersection) -- Compare these intersections.
     return Boolean;          -- True if and only if A is left of B.

end Intersections;
