-- $Date: 2004/01/03 02:18:06 $
-- $Revision: 1.3 $
-- $Author: jcrocholl $

with Ada.Streams.Stream_IO; use Ada.Streams.Stream_IO;

with Glyphs; use Glyphs;

-- High efficiency PBM vectorizer. Creates a glyph from a PBM
-- (portable bitmap). This process is lossless, all image data is
-- preserved.
package Read_PBM is

   -- Read a glyph from a PBM stream.
   function Read_Stream
     (Stream : in Stream_Access) -- Read from this stream.
     return Glyph;               -- The newly created glyph.

   -- Read a glyph from a PBM on current input.
   -- Useful to read from a pipe.
   function Read_Current_Input
     return Glyph; -- The newly created glyph.

   -- Read a glyph from a PBM file.
   function Read_File
     (Filename : in String) -- Read from this file.
     return Glyph;          -- The newly created glyph.

end Read_PBM;
