-- $Date: 2004/01/03 02:18:06 $
-- $Revision: 1.11 $
-- $Author: jcrocholl $

with Real_Numbers; use Real_Numbers;
with Glyphs; use Glyphs;
with Glyph_Images; use Glyph_Images;

-- High efficiency anti-aliasing glyph renderer.
package Render_Glyphs is

   -- Create a raster image of this glyph with the given resolution.
   function Render
     (This         : in Glyph;         -- The glyph to be rendered.
      Staff_Height : in Real;          -- Height of staff in pixels.
      Aspect_Ratio : in Real := 1.0;   -- Zoom factor for X resolution.
      Anti_Alias   : in Positive := 1) -- Anti-alias factor.
     return Glyph_Image;               -- The resulting gray image.

end Render_Glyphs;
