-- $Date: 2003/12/31 04:52:21 $
-- $Revision: 1.1 $
-- $Author: jcrocholl $

generic

   -- Generic type for any precision floating point number.
   type Number is digits <>;

-- Generic package for conversion between floating point numbers and strings.
package Digits_Strings is

   -- Convert a string to a number.
   function To_Number
     (Value : in String) -- The string to convert.
     return Number;      -- The floating point number.

   -- Convert a number to a string.
   function To_String
     (Value     : in Number; -- The number to convert.
      Tolerance : in Number) -- Cut-off precision.
     return String;          -- The decimal string representation.

   -- Convert a number to a string.
   function To_String
     (Value : in Number) -- The number to convert.
     return String;      -- The decimal string representation.

end Digits_Strings;
