-- $Date: 2004/01/01 12:31:28 $
-- $Revision: 1.8 $
-- $Author: jcrocholl $

generic

   -- Generic type for any size integer number.
   type Number is range <>;

-- Generic package for conversion between integer numbers and strings.
package Number_Strings is

   -- Convert a string to a number.
   function To_Number
     (Value : in String) -- The string to convert.
     return Number;      -- The integer number.

   -- Convert a number to a string.
   function To_String
     (Value : in Number;           -- The number to convert.
      Fill  : in Natural;          -- Minimum length.
      Char  : in Character := '0') -- Fill character.
     return String;                -- The decimal string representation.

   -- Convert a number to a string.
   function To_String
     (Value : in Number) -- The number to convert.
     return String;      -- The decimal string representation.

end Number_Strings;
