-- $Date: 2004/01/03 02:11:21 $
-- $Revision: 1.6 $
-- $Author: jcrocholl $

with Ada.Text_IO;

with Integer_Strings; use Integer_Strings;
with Real_Numbers; use Real_Numbers;
with Real_Strings; use Real_Strings;

procedure Test_Suite is
begin
   pragma Assert(To_Number("123") = 123);
   pragma Assert(To_Number("-123") = -123);
   pragma Assert(To_String(123) = "123");
   pragma Assert(To_String(-123) = "-123");

   -- pragma Debug(Ada.Text_IO.Put_Line(Real'Image(To_Number("1982.3745"))));
   pragma Assert(To_Number("0") = 0.0);
   pragma Assert(To_Number("-0") = 0.0);
   pragma Assert(To_Number("0.0") = 0.0);
   pragma Assert(To_Number("-0.0") = 0.0);
   pragma Assert(To_Number("100") = 100.0);
   pragma Assert(To_Number("-100") = -100.0);
   pragma Assert(To_Number("100.0") = 100.0);
   pragma Assert(To_Number("-100.0") = -100.0);
   pragma Assert(To_Number("1982.3745") = 1982.3745);
   pragma Assert(To_Number("-1982.3745") = -1982.3745);

   -- pragma Debug(Ada.Text_IO.Put_Line(To_String(0.0)));
   pragma Assert(To_String(0.0) = "0");
   pragma Assert(To_String(-0.0) = "0");
   pragma Assert(To_String(100.0) = "100");
   pragma Assert(To_String(-100.0) = "-100");
   pragma Assert(To_String(1982.3745) = "1982.3745");
   pragma Assert(To_String(-1982.3745) = "-1982.3745");

   pragma Debug(Ada.Text_IO.Put_Line("all tests succeeded"));
   null;
end Test_Suite;
