-- $Date: 2003/12/22 13:28:19 $
-- $Revision: 1.5 $
-- $Author: jcrocholl $

-- Helper functions for prime numbers.
--
-- Useful for hash table sizes.
package Primes is

   -- Tests if N is a prime number.
   function Prime
     (N : in Positive) -- The number to test.
     return Boolean;   -- True if and only if N is prime.

   -- Returns the smallest prime number that is greater or equal to N.
   function Next_Prime
     (N : in Positive) -- Start searching at this number.
     return Positive;  -- The smallest prime number >= N.

end Primes;
